<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Contracts;

use PpPhp\Core\Platform\Event\Contracts\EventInterface;

interface LifecycleEventInterface extends EventInterface
{
    public function category(): string;
    public function phase(): string;
    public function subject(): string;
}
